PSI:Capture Enterprise Requirements

PSI:Capture Hardware and Software System Requirements

Overview

PSI:Capture provides a single capture platform that can meet all the needs of an organization: document scanning and import, forms processing, data capture, OCR/ICR, data extraction and the ability to migrate the information into an ECM or repository, such as SharePoint.



Key features

Intelligent Capture

Capture high volumes of paper and digital documents to disk, from virtually any source, including Scanners, Faxes and MFPs.

No Coding Required

Built-in wizards and lightning-fast configuration lend editing power to your configurations, and configurations are easily saved for your most common document types.

Migrate to 60+ ECMs

PSI:Capture seamlessly migrates (exports) data to any of more than 60 ECM and DMS systems.


Document Capture and Scanning is a challenge in any organization. With an array of scanning devices, capture needs and backend content management systems, it is ineffective to settle for multiple applications to accomplish one goal. PSI:Capture provides a single capture platform that can meet all the needs of an organization: document scanning and import, forms processing, data capture, OCR/ICR, data extraction and the ability to migrate the information into a backend. PSI:Capture advanced capture system enhances the capabilities of any scanning device, providing a powerful onramp to any Enterprise Content Management (ECM) or Document Management Systems (DMS).


System Requirements

  • Windows Vista (Service Pack 2 or later)
  • Windows 7 (x86/x64)
  • Windows 8 (x86/x64)
  • Windows 8.1 (x86/x64)
  • Windows Server 2008 (Service Pack 2 or later)
  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows Server 2012 R2
  • 2.0 GHz or higher multi-core processor.
  • 2 GB available memory minimum, 4 GB or more is recommended.
  • 4 GB free disk space for installation.
  • Additional disk space may be required for post-installation operation.
  • .NET Framework version 4.0 or later (1)
  • VMware ESX version 3.0 or later
  • VMware Workstation Version 7.0 or later
  • Microsoft Hyper V
  • Microsoft Terminal Services / Remote Desktop Services (2)


  1. The .NET Framework is installed by the product installer if it is not already present.
  2. Installation to a virtualized environment such as Microsoft Terminal Services or Remote Desktop Services is considered an advanced deployment and may require a Professional Services engagement to complete.